<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\UserData;

class UserDataController extends Controller
{
    public function index()
    {
       
       $data = UserData::all(['place', 'title', 'mag', 'time', 'coordinates', 'country', 'icon', 'image']);


$url = 'https://eq.ndma.gov.pk/public/eq_img/';
$data = $data->map(function ($item) use ($url) {
    $item->url = $url; // Add the static URL below the image
    return $item;
});

// Return the modified data inside a "data" array with the URL included
return response()->json([
    'data' => $data
]);
    }
}
